<template>
 
  <div>
    <div class="services-bg"></div>
    <section class="container" style="display:flex;justify-content:flex-end;">
        <div class="container-half services-half">
          <div class="row half-full--wrap row-services--title">
                <h3>SERVICES</h3>
                <div class="control-buttons">
                  <div class="swiper-btn-prev" slot="button-prev">
                    <span class="material-icons">navigate_before</span>
                  </div>
                  <div class="swiper-btn-next" slot="button-next">
                    <span class="material-icons">navigate_next</span></div>
                </div>
          </div>
          <div class="row">
               <swiper class="swiper-services" ref="mySwiper" :options="swiperOptions">
                
                <swiper-slide>
                  <h4 class="slide-title">PILOT TRAINING</h4>
                  <p class="slide-text">
                    Ultralight, UAV or Cabin crew. Phantec Aviation housed on Mesologi airport will guide you and through all the steps to get your certificate.
                  </p>
                </swiper-slide>
                <swiper-slide>
                  <h4 class="slide-title">AIRCRAFT MAINTENANCE</h4>
                  <p class="slide-text">
                    Phantec provides technical support services in the Ultra light branch. The technical services unit provides maintenance / repair services as well as modifications to the facilities located at Mesologi Airport.
                  </p>
                </swiper-slide>
                <swiper-slide>
                  <h4 class="slide-title">E-SHOP</h4>
                  <p class="slide-text">
                    Pilot supplies and aircraft parts, always at the lowest prices. Phantec Aviation supplies components for a wide variety of homebuilt aircraft , as well as factory built parts for Cessna, Piper, and Rotax.
                  </p>
                </swiper-slide>
              </swiper>
          </div>
          <div class="row section-redirect">
            <div class="services-logo"></div>
            <div>
              <a href="" title="Button Phantec" class="button btnPush btnBlueGreen">
              <div>VISIT PHANTEC</div>
              
            </a>
            </div>
          </div>
        </div>
    </section>
  </div>

</template>

  

 
<script>

  import { Swiper, SwiperSlide, directive } from 'vue-awesome-swiper'
  import './../../node_modules/swiper/css/swiper.css'

  export default {
  components: {
    Swiper,
    SwiperSlide,
  },
  
  data() {
      return {
        swiperOptions: {
          pagination: {
            el: '.swiper-pagination',
            clickable: true
          },
           slidesPerView: 1,
           navigation: {
            nextEl: '.swiper-btn-next',
            prevEl: '.swiper-btn-prev'
          },
          autoplay: {
        delay: 8000,
        disableOnInteraction: false,
      },
      loop: true,
      speed: 800
          
        }
      }
    },
    computed: {
      swiper() {
        return this.$refs.mySwiper.$swiper
      }
    },
    mounted() {
      
    },
    directives: {
    swiper: directive
  },
  
}

</script>



<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
